# stp_parameter_t Struct Reference
[vars]

Parameter description. More...

`#include <vars.h>`

## Data Fields

const char * | name
const char * | text
const char * | category
const char * | help
stp_parameter_type_t | p_type
stp_parameter_class_t | p_class
stp_parameter_level_t | p_level
unsigned char | is_mandatory
unsigned char | is_active
unsigned char | channel
unsigned char | verify_this_parameter
unsigned char | read_only
union {
stp_curve_t * curve
stp_double_bound_t dbl
stp_int_bound_t integer
stp_int_bound_t dimension
stp_string_list_t * str
stp_array_t * array
} | bounds
union {
stp_curve_t * curve
double dbl
int dimension
int integer
int boolean
const char * str
stp_array_t * array
} | deflt

## Detailed Description

Parameter description.

## Field Documentation

const char* stp_parameter_t::name

Internal name (key).

const char* stp_parameter_t::text

User-visible name.

const char* stp_parameter_t::category

User-visible category name.

const char* stp_parameter_t::help

Help string.

stp_parameter_type_t stp_parameter_t::p_type

Parameter type.

stp_parameter_class_t stp_parameter_t::p_class

Parameter class.

stp_parameter_level_t stp_parameter_t::p_level

Parameter level.

unsigned char stp_parameter_t::is_mandatory

The parameter is required, even when set inactive.

unsigned char stp_parameter_t::is_active

Is the parameter active?

unsigned char stp_parameter_t::channel

The channel to which this parameter applies

unsigned char stp_parameter_t::verify_this_parameter

Should the verify system check this parameter?

unsigned char stp_parameter_t::read_only

stp_curve_t* stp_parameter_t::curve

curve parameter value.

stp_double_bound_t stp_parameter_t::dbl

double_bound parameter value.

stp_int_bound_t stp_parameter_t::integer

int_bound parameter value.

stp_int_bound_t stp_parameter_t::dimension

int_bound parameter value.

stp_string_list_t* stp_parameter_t::str

string_list parameter value.

stp_array_t* stp_parameter_t::array

array parameter value.

union { ... } stp_parameter_t::bounds

Limits on the values the parameter may take.

stp_curve_t* stp_parameter_t::curve

Default curve parameter value.

double stp_parameter_t::dbl

Default double parameter value.

int stp_parameter_t::dimension

Default dimension parameter value.

int stp_parameter_t::integer

Default int parameter value.

int stp_parameter_t::boolean

Default boolean parameter value.

const char* stp_parameter_t::str

Default string parameter value.

stp_array_t* stp_parameter_t::array

Default array parameter value.

union { ... } stp_parameter_t::deflt

Default value of the parameter.

The documentation for this struct was generated from the following file:

- include/gutenprint/vars.h